#ifndef _KGR_PATCH_BSC1173963_H
#define _KGR_PATCH_BSC1173963_H

#if IS_ENABLED(CONFIG_VIDEO_V4L2)

int kgr_patch_bsc1173963_init(void);
void kgr_patch_bsc1173963_cleanup(void);


struct v4l2_fh;
struct v4l2_event_subscription;
struct v4l2_subscribed_event_ops;

int kgrp_v4l2_event_subscribe(struct v4l2_fh *fh,
			 const struct v4l2_event_subscription *sub, unsigned elems,
			 const struct v4l2_subscribed_event_ops *ops);
int kgrp_v4l2_event_unsubscribe(struct v4l2_fh *fh,
			   const struct v4l2_event_subscription *sub);

#define KGR_PATCH_BSC1173963_FUNCS					\
	KGR_PATCH_OBJ(v4l2_event_subscribe, kgrp_v4l2_event_subscribe,	\
		      "videodev"),					\
	KGR_PATCH_OBJ(v4l2_event_unsubscribe,				\
		      kgrp_v4l2_event_unsubscribe, "videodev"),	\

#else /* !IS_ENABLED(CONFIG_VIDEO_V4L2) */

static inline int kgr_patch_bsc1173963_init(void) { return 0; }

static inline void kgr_patch_bsc1173963_cleanup(void) {}

#define KGR_PATCH_BSC1173963_FUNCS

#endif /* IS_ENABLED(CONFIG_VIDEO_V4L2) */
#endif /* _KGR_PATCH_BSC1173963_H */
